Sixty Six Capital Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/sixty-six-capital-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://webfiles.thecse.com/SIX_-_Announce_Acquisition_-_June_30_2025.pdf?77GBSvZtnf5h76PMQu0qZgFIXsEK.ytU",
    "holding_balance": 126.8,
    "holding_net_change": 13.5,
    "transaction_value_usd": 1986728.0,
    "average_entry_value_usd": 147165.04,
    "transaction_value_calculated": false
  },
  {
    "date": 1752451200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://webfiles.thecse.com/Six_announcement_July_14_2025.pdf?kIBVxAU0eqatNhqyRGboYlYKvDyI.z8a",
    "holding_balance": 132.8,
    "holding_net_change": 6.1,
    "transaction_value_usd": 1012245.0,
    "average_entry_value_usd": 165941.8,
    "transaction_value_calculated": false
  },
  {
    "date": 1753228800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://webfiles.thecse.com/Six_-_Acquire_BTC_-_July_23_2025.pdf?Fb46UpgnnQNecr0MUvLRCcMqVAxHkbCm",
    "holding_balance": 148.8,
    "holding_net_change": 16.02,
    "transaction_value_usd": 2577850.0,
    "average_entry_value_usd": 160914.48,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    148.8
  ],
  [
    1779062400000,
    148.8
  ],
  [
    1779148800000,
    148.8
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    11521563.168
  ],
  [
    1779062400000,
    11449307.376
  ],
  [
    1779148800000,
    11421889.488
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.045,
    "date": "2026-05-13",
    "high": 0.045,
    "open": 0.045,
    "close": 0.045,
    "volume": 0
  },
  {
    "low": 0.045,
    "date": "2026-05-14",
    "high": 0.045,
    "open": 0.045,
    "close": 0.045,
    "volume": 0
  },
  {
    "low": 0.045,
    "date": "2026-05-15",
    "high": 0.045,
    "open": 0.045,
    "close": 0.045,
    "volume": 0
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 1.589,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 0.0,
  "six_month_return": -47.06,
  "three_month_return": -18.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sixty-six-capital-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 107.4,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}